### Constructor

# GUsb DeviceList new

since: 0.1.0

#### Declaration

    GUsbDeviceList*
    g_usb_device_list_new (
      GUsbContext* context
    )

#### Description

Creates a new device list.

You will need to call `g_usb_device_list_coldplug()` to coldplug the list of devices after creating a device list.

Available since: 0.1.0

#### Parameters

`context`

  Type: `GUsbContext`

  A `GUsbContext`.

  The data is owned by the caller of the function.

#### Return value

Type: `GUsbDeviceList`

A new `GUsbDeviceList`.

The caller of the function takes ownership of the data, and is responsible for freeing it.